/*
--------------------------------------------------------------------

CODE13LQ.C

Making a barcode for Epson LQ

output to the printer i.e.: copy test lpt1 /b



--------------------------------------------------------------------
*/
#include <stdio.h>
#include "barbi.h"

FILE *fp;


/* output function for BarBi */
int BBPutPrintObject(char *object, int len)
{
	int i;

	for(i = 0;i < len;i++)
	{
	   if(putc((int) *object++, fp) == EOF)
	      return(i);
	}
	return(i);
}

void main()
{
	sBBCode Barcode;
	int i;


        fp = fopen("test","wb");

	/* open Barcode library */
	BBOpen(&Barcode);

	/* transmit barcode character set */
	BBDownloadEpsonLq(&Barcode);
	BBPutPrintObject(BBGetPrintObject(&Barcode), 
			 BBGetPrintObjectLen(&Barcode)); 

	/* set barcode parameter to default */
	BBSetBarcodeDefaults(&Barcode, (fCodeGen) bbCode13);

	/* make a Barcode */
	BBMakeBarcode(&Barcode, "123-456:789<0");

	/* convert the barcode to Epson-LQ commands */
	BBMakeEpsonLq(&Barcode); 

	/* line distance 1/8" */
	BBPutPrintObject("\x1B\x30", 2);
	
	for(i = 0;i < 4;i++)
	{
		/* transmit barcode */
		BBPutPrintObject(BBGetPrintObject(&Barcode), BBGetPrintObjectLen(&Barcode));
		BBPutPrintObject("\r\n", 2);
	}
	
	/* line distance 1/6" */
	BBPutPrintObject("\x1B\x32", 2);

	/* transmit form feed */
	BBPutPrintObject("\r\f", 2);

	/* close BarBi */
	BBClose(&Barcode);
}
